#363 debugger running continuously without stopping

open
nobody
None
5
2007-01-28
2007-01-28
sateesh
No

Hi,
I downloaded eclipse plugin, perl and padwalker according to the step by step installation provided in epic site.
Now while I am debugging perl program some times when I press run> step over, It doesn't return and runs like that until I terminate process.
It is not related to program as this thing happening at different instruction in each run. Please try to help.

Advance thanks,
Sateesh.

Discussion

  • Logged In: YES
    user_id=1845660
    Originator: NO

    I'm getting the same problem with EPIC 0.5.38. However, EPIC 0.5.33 doesn't have the problem. It may have to do with the IDE losing its connection to the Perl debugger ("An error occurred during communication with the debugger process" -- See the log text below; only started getting this after I installed 0.5.38 today). Here's my config:
    MS Windows XP 5.1 SP2
    ActivePerl 6.8.6
    PadWalker 1.0
    Java 1.6.0_01-b06 runtime
    EPIC 0.5.38 (debug 5.27)
    Eclipse 3.2.2
    -------------------------------------------------
    !SESSION 2006-12-26 18:16:51.875 -----------------------------------------------
    eclipse.buildId=M20060921-0945
    java.version=1.5.0_09
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Command-line arguments: -os win32 -ws win32 -arch x86

    !ENTRY org.eclipse.update.core 4 0 2006-12-26 23:55:43.390
    !MESSAGE Digest could not be parsed:Unable to retrieve remote reference "http://download.eclipse.org/updates/3.2/digest.zip". [Server returned HTTP response code: "404 Not Found" for URL: http://download.eclipse.org/updates/3.2/digest.zip.\]
    !SESSION 2006-12-30 21:08:15.109 -----------------------------------------------
    eclipse.buildId=M20060921-0945
    java.version=1.5.0_09
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Command-line arguments: -os win32 -ws win32 -arch x86

    !ENTRY org.epic.debug 4 0 2006-12-30 21:09:32.046
    !MESSAGE Error Parsing Debugger Variables
    !STACK 0
    java.lang.Exception: *******************************
    *******************************
    +++++++Error Parsing Vars++++++
    *******************************
    *******************************
    Can't locate auto/PadWalker/peek_my.al in @INC (@INC contains: C:/workspace3.2/.metadata/.plugins/org.epic.debug C:/Perl/lib C:/Perl/site/lib .)
    E-------------------------------
    -------------------------------
    +++++++Error Parsing Vars++++++
    -------------------------------
    -------------------------------

    at org.epic.debug.varparser.TokenVarParser.logParsError(TokenVarParser.java:256)
    at org.epic.debug.varparser.TokenVarParser.parseVars(TokenVarParser.java:65)
    at org.epic.debug.varparser.TokenVarParser.parseVars(TokenVarParser.java:40)
    at org.epic.debug.PerlDB.setVarList(PerlDB.java:1154)
    at org.epic.debug.PerlDB.access$2(PerlDB.java:1146)
    at org.epic.debug.PerlDB$VarUpdateJob.runInUIThread(PerlDB.java:1518)
    at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:94)
    at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
    at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
    at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
    at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)

    !ENTRY org.epic.debug 4 0 2006-12-30 21:09:42.921
    !MESSAGE Error Parsing Debugger Variables
    !STACK 0
    java.lang.Exception: *******************************
    *******************************
    +++++++Error Parsing Vars++++++
    *******************************
    *******************************
    Can't locate auto/PadWalker/peek_my.al in @INC (@INC contains: C:/workspace3.2/.metadata/.plugins/org.epic.debug C:/Perl/lib C:/Perl/site/lib .)
    E-------------------------------
    -------------------------------
    +++++++Error Parsing Vars++++++
    -------------------------------
    -------------------------------

    at org.epic.debug.varparser.TokenVarParser.logParsError(TokenVarParser.java:256)
    at org.epic.debug.varparser.TokenVarParser.parseVars(TokenVarParser.java:65)
    at org.epic.debug.varparser.TokenVarParser.parseVars(TokenVarParser.java:40)
    at org.epic.debug.PerlDB.setVarList(PerlDB.java:1154)
    at org.epic.debug.PerlDB.access$2(PerlDB.java:1146)
    at org.epic.debug.PerlDB$VarUpdateJob.runInUIThread(PerlDB.java:1518)
    at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:94)
    at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
    at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:123)
    at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3325)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
    at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)
    !SESSION 2007-02-24 18:13:32.031 -----------------------------------------------
    eclipse.buildId=M20060921-0945
    java.version=1.5.0_11
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Command-line arguments: -os win32 -ws win32 -arch x86

    !ENTRY org.eclipse.ui 4 4 2007-02-24 18:43:23.312
    !MESSAGE Unhandled event loop exception

    !ENTRY org.eclipse.ui 4 0 2007-02-24 18:43:23.328
    !MESSAGE Argument not valid
    !STACK 0
    java.lang.IllegalArgumentException: Argument not valid
    at org.eclipse.swt.SWT.error(SWT.java:3358)
    at org.eclipse.swt.SWT.error(SWT.java:3297)
    at org.eclipse.swt.SWT.error(SWT.java:3268)
    at org.eclipse.swt.custom.StyledText.setCaretOffset(StyledText.java:6652)
    at org.epic.perleditor.editors.PerlBracketInserter.skipChar(PerlBracketInserter.java:242)
    at org.epic.perleditor.editors.PerlBracketInserter.processBracketKeyStroke(PerlBracketInserter.java:226)
    at org.epic.perleditor.editors.PerlBracketInserter.verifyKey(PerlBracketInserter.java:94)
    at org.eclipse.jface.text.TextViewer$VerifyKeyListenersManager.verifyKey(TextViewer.java:434)
    at org.eclipse.swt.custom.StyledTextListener.handleEvent(StyledTextListener.java:61)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:937)
    at org.eclipse.swt.widgets.Widget.notifyListeners(Widget.java:709)
    at org.eclipse.swt.custom.StyledText.handleKeyDown(StyledText.java:5047)
    at org.eclipse.swt.custom.StyledText$7.handleEvent(StyledText.java:4789)
    at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:928)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:952)
    at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:937)
    at org.eclipse.swt.widgets.Widget.sendKeyEvent(Widget.java:965)
    at org.eclipse.swt.widgets.Widget.sendKeyEvent(Widget.java:961)
    at org.eclipse.swt.widgets.Widget.wmChar(Widget.java:1275)
    at org.eclipse.swt.widgets.Control.WM_CHAR(Control.java:3346)
    at org.eclipse.swt.widgets.Control.windowProc(Control.java:3246)
    at org.eclipse.swt.widgets.Display.windowProc(Display.java:4025)
    at org.eclipse.swt.internal.win32.OS.DispatchMessageW(Native Method)
    at org.eclipse.swt.internal.win32.OS.DispatchMessage(OS.java:1925)
    at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2966)
    at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1914)
    at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1878)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:419)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:95)
    at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:78)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:92)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:68)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:400)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
    at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
    at org.eclipse.core.launcher.Main.run(Main.java:977)
    at org.eclipse.core.launcher.Main.main(Main.java:952)
    !SESSION 2007-07-15 11:41:26.015 -----------------------------------------------
    eclipse.buildId=M20060921-0945
    java.version=1.6.0_01
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Command-line arguments: -os win32 -ws win32 -arch x86

    !ENTRY org.epic.debug 4 0 2007-07-15 11:59:20.765
    !MESSAGE Debug Error
    !STACK 1
    org.eclipse.debug.core.DebugException: An error occurred during communication with the debugger process
    at org.epic.debug.db.PerlDB.throwDebugException(PerlDB.java:640)
    at org.epic.debug.db.PerlDB.addBreakpoint(PerlDB.java:125)
    at org.epic.debug.db.PerlDB.addBreakpoint(PerlDB.java:111)
    at org.epic.debug.PerlBreakpointManager.breakpointAdded(PerlBreakpointManager.java:78)
    at org.eclipse.debug.internal.core.BreakpointManager$BreakpointNotifier.run(BreakpointManager.java:795)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
    at org.eclipse.debug.internal.core.BreakpointManager$BreakpointNotifier.notify(BreakpointManager.java:821)
    at org.eclipse.debug.internal.core.BreakpointManager.fireUpdate(BreakpointManager.java:735)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoints(BreakpointManager.java:487)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoints(BreakpointManager.java:437)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoint(BreakpointManager.java:430)
    at org.epic.debug.PerlLineBreakpoint.register(PerlLineBreakpoint.java:114)
    at org.epic.debug.PerlLineBreakpoint$1.run(PerlLineBreakpoint.java:85)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1737)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1719)
    at org.epic.debug.PerlLineBreakpoint.run(PerlLineBreakpoint.java:129)
    at org.epic.debug.PerlLineBreakpoint.createPerlLineBreakpoint(PerlLineBreakpoint.java:89)
    at org.epic.debug.PerlLineBreakpoint.<init>(PerlLineBreakpoint.java:51)
    at org.epic.debug.PerlLineBreakpoint.<init>(PerlLineBreakpoint.java:43)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter.createLineBreakpoint(ToggleBreakpointAdapter.java:203)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter.access$1(ToggleBreakpointAdapter.java:174)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter$1.run(ToggleBreakpointAdapter.java:118)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    org.eclipse.debug.core.DebugException[0]: java.io.IOException: Stream closed
    at java.io.BufferedReader.ensureOpen(Unknown Source)
    at java.io.BufferedReader.read(Unknown Source)
    at java.io.Reader.read(Unknown Source)
    at org.epic.debug.db.DebuggerInterface.readCommandOutput(DebuggerInterface.java:398)
    at org.epic.debug.db.DebuggerInterface.runCommand(DebuggerInterface.java:346)
    at org.epic.debug.db.DebuggerInterface.access$0(DebuggerInterface.java:314)
    at org.epic.debug.db.DebuggerInterface$Command.run(DebuggerInterface.java:508)
    at org.epic.debug.db.DebuggerInterface.commandLoop(DebuggerInterface.java:282)
    at org.epic.debug.db.DebuggerInterface.access$2(DebuggerInterface.java:275)
    at org.epic.debug.db.DebuggerInterface$1.run(DebuggerInterface.java:59)
    at java.lang.Thread.run(Unknown Source)
    !SUBENTRY 1 org.epic.debug 4 0 2007-07-15 11:59:20.765
    !MESSAGE An error occurred during communication with the debugger process
    !STACK 0
    java.io.IOException: Stream closed
    at java.io.BufferedReader.ensureOpen(Unknown Source)
    at java.io.BufferedReader.read(Unknown Source)
    at java.io.Reader.read(Unknown Source)
    at org.epic.debug.db.DebuggerInterface.readCommandOutput(DebuggerInterface.java:398)
    at org.epic.debug.db.DebuggerInterface.runCommand(DebuggerInterface.java:346)
    at org.epic.debug.db.DebuggerInterface.access$0(DebuggerInterface.java:314)
    at org.epic.debug.db.DebuggerInterface$Command.run(DebuggerInterface.java:508)
    at org.epic.debug.db.DebuggerInterface.commandLoop(DebuggerInterface.java:282)
    at org.epic.debug.db.DebuggerInterface.access$2(DebuggerInterface.java:275)
    at org.epic.debug.db.DebuggerInterface$1.run(DebuggerInterface.java:59)
    at java.lang.Thread.run(Unknown Source)
    !SESSION 2007-07-15 13:45:56.140 -----------------------------------------------
    eclipse.buildId=M20060921-0945
    java.version=1.6.0_01
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Command-line arguments: -os win32 -ws win32 -arch x86

    !ENTRY org.epic.perleditor 4 0 2007-07-15 13:46:04.546
    !MESSAGE Failed to execute command line: "perl" "-IC:/workspace3.2/event_processor/."
    !STACK 0
    java.io.IOException: Cannot run program "perl" (in directory "C:\workspace3.2\event_processor\EP"): CreateProcess error=267, The directory name is invalid
    at java.lang.ProcessBuilder.start(Unknown Source)
    at java.lang.Runtime.exec(Unknown Source)
    at org.epic.core.util.ProcessExecutor.execute(ProcessExecutor.java:103)
    at org.epic.core.util.ProcessExecutor.execute(ProcessExecutor.java:71)
    at org.epic.core.util.PerlExecutor.execute(PerlExecutor.java:127)
    at org.epic.core.util.PerlExecutor.execute(PerlExecutor.java:147)
    at org.epic.perleditor.templates.perl.ModuleCompletionHelper.scanForModules(ModuleCompletionHelper.java:80)
    at org.epic.perleditor.editors.PerlEditor$2.run(PerlEditor.java:702)
    at java.lang.Thread.run(Unknown Source)
    Caused by: java.io.IOException: CreateProcess error=267, The directory name is invalid
    at java.lang.ProcessImpl.create(Native Method)
    at java.lang.ProcessImpl.<init>(Unknown Source)
    at java.lang.ProcessImpl.start(Unknown Source)
    ... 9 more

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:44.281
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:44.281
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:44.281
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:47.562
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:47.562
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:47.562
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:47.968
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:47.968
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:47.968
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:48.218
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:48.218
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:48.218
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:48.468
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:48.468
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:48.468
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:49.000
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.000
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.000
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:49.296
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.296
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.296
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:49.531
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.531
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.531
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:49.765
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.765
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:49.765
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:50.078
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:50.078
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:50.078
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:51.406
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:51.406
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:51.406
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:51.703
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:51.703
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:51.703
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.perleditor 2 0 2007-07-15 13:47:51.953
    !MESSAGE An unexpected exception occurred while creating a link to ../lib/EP/Aggregator.pm
    !STACK 1
    org.eclipse.core.internal.resources.ResourceException: ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    at org.eclipse.core.internal.resources.Resource.assertLinkRequirements(Resource.java:154)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:588)
    at org.eclipse.core.internal.resources.Resource.createLink(Resource.java:570)
    at org.epic.core.util.FileUtilities.createFolderLink(FileUtilities.java:90)
    at org.epic.core.util.FileUtilities.getFileEditorInput(FileUtilities.java:27)
    at org.epic.debug.ui.DebugModelPresentation.getEditorInput(DebugModelPresentation.java:167)
    at org.eclipse.debug.internal.ui.LazyModelPresentation.getEditorInput(LazyModelPresentation.java:212)
    at org.eclipse.debug.internal.ui.sourcelookup.SourceLookupFacility.lookup(SourceLookupFacility.java:174)
    at org.eclipse.debug.ui.DebugUITools.lookupSource(DebugUITools.java:689)
    at org.eclipse.debug.internal.ui.elements.adapters.StackFrameSourceDisplayAdapter$SourceLookupJob.run(StackFrameSourceDisplayAdapter.java:101)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:51.953
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".
    !SUBENTRY 1 org.eclipse.core.resources 2 333 2007-07-15 13:47:51.953
    !MESSAGE ../lib/EP is not a valid location. The location is relative to undefined workspace path variable "..".

    !ENTRY org.epic.debug 4 0 2007-07-15 14:27:54.656
    !MESSAGE Debug Error
    !STACK 1
    org.eclipse.debug.core.DebugException: An error occurred during communication with the debugger process
    at org.epic.debug.db.PerlDB.throwDebugException(PerlDB.java:640)
    at org.epic.debug.db.PerlDB.addBreakpoint(PerlDB.java:125)
    at org.epic.debug.db.PerlDB.addBreakpoint(PerlDB.java:111)
    at org.epic.debug.PerlBreakpointManager.breakpointAdded(PerlBreakpointManager.java:78)
    at org.eclipse.debug.internal.core.BreakpointManager$BreakpointNotifier.run(BreakpointManager.java:795)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
    at org.eclipse.debug.internal.core.BreakpointManager$BreakpointNotifier.notify(BreakpointManager.java:821)
    at org.eclipse.debug.internal.core.BreakpointManager.fireUpdate(BreakpointManager.java:735)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoints(BreakpointManager.java:487)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoints(BreakpointManager.java:437)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoint(BreakpointManager.java:430)
    at org.epic.debug.PerlLineBreakpoint.register(PerlLineBreakpoint.java:114)
    at org.epic.debug.PerlLineBreakpoint$1.run(PerlLineBreakpoint.java:85)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1737)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1719)
    at org.epic.debug.PerlLineBreakpoint.run(PerlLineBreakpoint.java:129)
    at org.epic.debug.PerlLineBreakpoint.createPerlLineBreakpoint(PerlLineBreakpoint.java:89)
    at org.epic.debug.PerlLineBreakpoint.<init>(PerlLineBreakpoint.java:51)
    at org.epic.debug.PerlLineBreakpoint.<init>(PerlLineBreakpoint.java:43)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter.createLineBreakpoint(ToggleBreakpointAdapter.java:203)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter.access$1(ToggleBreakpointAdapter.java:174)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter$1.run(ToggleBreakpointAdapter.java:118)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    org.eclipse.debug.core.DebugException[0]: java.io.IOException: Stream closed
    at java.io.BufferedReader.ensureOpen(Unknown Source)
    at java.io.BufferedReader.read(Unknown Source)
    at java.io.Reader.read(Unknown Source)
    at org.epic.debug.db.DebuggerInterface.readCommandOutput(DebuggerInterface.java:398)
    at org.epic.debug.db.DebuggerInterface.runCommand(DebuggerInterface.java:346)
    at org.epic.debug.db.DebuggerInterface.access$0(DebuggerInterface.java:314)
    at org.epic.debug.db.DebuggerInterface$Command.run(DebuggerInterface.java:508)
    at org.epic.debug.db.DebuggerInterface.commandLoop(DebuggerInterface.java:282)
    at org.epic.debug.db.DebuggerInterface.access$2(DebuggerInterface.java:275)
    at org.epic.debug.db.DebuggerInterface$1.run(DebuggerInterface.java:59)
    at java.lang.Thread.run(Unknown Source)
    !SUBENTRY 1 org.epic.debug 4 0 2007-07-15 14:27:54.656
    !MESSAGE An error occurred during communication with the debugger process
    !STACK 0
    java.io.IOException: Stream closed
    at java.io.BufferedReader.ensureOpen(Unknown Source)
    at java.io.BufferedReader.read(Unknown Source)
    at java.io.Reader.read(Unknown Source)
    at org.epic.debug.db.DebuggerInterface.readCommandOutput(DebuggerInterface.java:398)
    at org.epic.debug.db.DebuggerInterface.runCommand(DebuggerInterface.java:346)
    at org.epic.debug.db.DebuggerInterface.access$0(DebuggerInterface.java:314)
    at org.epic.debug.db.DebuggerInterface$Command.run(DebuggerInterface.java:508)
    at org.epic.debug.db.DebuggerInterface.commandLoop(DebuggerInterface.java:282)
    at org.epic.debug.db.DebuggerInterface.access$2(DebuggerInterface.java:275)
    at org.epic.debug.db.DebuggerInterface$1.run(DebuggerInterface.java:59)
    at java.lang.Thread.run(Unknown Source)

    !ENTRY org.epic.debug 4 0 2007-07-15 14:27:54.703
    !MESSAGE Debug Error
    !STACK 1
    org.eclipse.debug.core.DebugException: An error occurred during communication with the debugger process
    at org.epic.debug.db.PerlDB.throwDebugException(PerlDB.java:640)
    at org.epic.debug.db.PerlDB.addBreakpoint(PerlDB.java:125)
    at org.epic.debug.db.PerlDB.addBreakpoint(PerlDB.java:111)
    at org.epic.debug.PerlBreakpointManager.breakpointAdded(PerlBreakpointManager.java:78)
    at org.eclipse.debug.internal.core.BreakpointManager$BreakpointNotifier.run(BreakpointManager.java:795)
    at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37)
    at org.eclipse.debug.internal.core.BreakpointManager$BreakpointNotifier.notify(BreakpointManager.java:821)
    at org.eclipse.debug.internal.core.BreakpointManager.fireUpdate(BreakpointManager.java:735)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoints(BreakpointManager.java:487)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoints(BreakpointManager.java:437)
    at org.eclipse.debug.internal.core.BreakpointManager.addBreakpoint(BreakpointManager.java:430)
    at org.epic.debug.PerlLineBreakpoint.register(PerlLineBreakpoint.java:114)
    at org.epic.debug.PerlLineBreakpoint$1.run(PerlLineBreakpoint.java:85)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1737)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1719)
    at org.epic.debug.PerlLineBreakpoint.run(PerlLineBreakpoint.java:129)
    at org.epic.debug.PerlLineBreakpoint.createPerlLineBreakpoint(PerlLineBreakpoint.java:89)
    at org.epic.debug.PerlLineBreakpoint.<init>(PerlLineBreakpoint.java:51)
    at org.epic.debug.PerlLineBreakpoint.<init>(PerlLineBreakpoint.java:43)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter.createLineBreakpoint(ToggleBreakpointAdapter.java:203)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter.access$1(ToggleBreakpointAdapter.java:174)
    at org.epic.debug.ui.action.ToggleBreakpointAdapter$1.run(ToggleBreakpointAdapter.java:118)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)
    org.eclipse.debug.core.DebugException[0]: java.io.IOException: Stream closed
    at java.io.BufferedReader.ensureOpen(Unknown Source)
    at java.io.BufferedReader.read(Unknown Source)
    at java.io.Reader.read(Unknown Source)
    at org.epic.debug.db.DebuggerInterface.readCommandOutput(DebuggerInterface.java:398)
    at org.epic.debug.db.DebuggerInterface.runCommand(DebuggerInterface.java:346)
    at org.epic.debug.db.DebuggerInterface.access$0(DebuggerInterface.java:314)
    at org.epic.debug.db.DebuggerInterface$Command.run(DebuggerInterface.java:508)
    at org.epic.debug.db.DebuggerInterface.commandLoop(DebuggerInterface.java:282)
    at org.epic.debug.db.DebuggerInterface.access$2(DebuggerInterface.java:275)
    at org.epic.debug.db.DebuggerInterface$1.run(DebuggerInterface.java:59)
    at java.lang.Thread.run(Unknown Source)
    !SUBENTRY 1 org.epic.debug 4 0 2007-07-15 14:27:54.718
    !MESSAGE An error occurred during communication with the debugger process
    !STACK 0
    java.io.IOException: Stream closed
    at java.io.BufferedReader.ensureOpen(Unknown Source)
    at java.io.BufferedReader.read(Unknown Source)
    at java.io.Reader.read(Unknown Source)
    at org.epic.debug.db.DebuggerInterface.readCommandOutput(DebuggerInterface.java:398)
    at org.epic.debug.db.DebuggerInterface.runCommand(DebuggerInterface.java:346)
    at org.epic.debug.db.DebuggerInterface.access$0(DebuggerInterface.java:314)
    at org.epic.debug.db.DebuggerInterface$Command.run(DebuggerInterface.java:508)
    at org.epic.debug.db.DebuggerInterface.commandLoop(DebuggerInterface.java:282)
    at org.epic.debug.db.DebuggerInterface.access$2(DebuggerInterface.java:275)
    at org.epic.debug.db.DebuggerInterface$1.run(DebuggerInterface.java:59)
    at java.lang.Thread.run(Unknown Source)
    !SESSION 2007-07-15 14:47:45.156 -----------------------------------------------
    eclipse.buildId=M20060921-0945
    java.version=1.6.0_01
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    Command-line arguments: -os win32 -ws win32 -arch x86

    !ENTRY org.eclipse.update.configurator 2007-07-15 15:00:37.046
    !MESSAGE Can't find bundle for base name feature, locale en_US

     
  • Logged In: YES
    user_id=1845660
    Originator: NO

    Correction to privious comment:
    That should have been ActivePerl 5.8.6 MSWin32-x86-multi-thread.

     
  • Logged In: YES
    user_id=1845660
    Originator: NO

    Could we please raise the priority of this bug? It happens when single-stepping in almost any Perl code, so, effectively, the debugger is broken. It will single-step several lines OK and then more or less stall. The debugger says it is running (in the stack), but the user can't single-step any more nor continue. Most of the debug menu options are grayed out.

     
  • Logged In: YES
    user_id=1845660
    Originator: NO

    I upgraded to EPIC 0.6.11 after having disabled 0.5.38 and found that the reported problem did not happen any more (at least so for in my testing). I did see another debugger problem that probably is unrelated but is worth mentioning -- the debugger failed to open and display the file into which it stepped after pressing F5, although pressing F5, F6, or F7 apparently worked normally otherwise, as one could see from the stack.

    This bug went away when I removed the following statement from my main program, Aggregator.t:
    use lib 'lib', '../lib';
    and instead added 'lib' to the Perl include path in the project properties.

    My directory structure was the following:
    event_processor
    lib
    EP
    Aggregator.pm (package EP::Aggregator)
    t
    Aggregator.t (the main program or test module for EP::Aggregator)

    Most likely, the debugger is not paying attention to 'use lib'. I think all 'use lib' does is unshift the list of directory names onto @INC.

    Perhaps someone could add this to the bug list as a separate bug -- I'm running out of time this evening.